<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title'] = 'Выбор города';
include_once 'sys/inc/thead.php';
title();
if (isset($_GET['set']))
{
if (isset($_GET['st']) && strlen2($_GET['st'])<=15)
{
if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_GET['st']))$err[]='Используются запрещенные символы';
else
{
mysql_query("UPDATE `user` SET `mycity` = '".$_GET['st']."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Привышает лимит символов';
if (!isset($err))msg('Сохранено');
}else{

err();
aut();
$id_siti=(int)abs((int)$_GET['id']);
echo "шаг№3)Выбрать свой город\n";
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `city` WHERE `region_id` = $id_siti"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет результатов\n";
echo "  </td>\n";
echo "   </tr>\n";
}

$q=mysql_query("SELECT * FROM `city` WHERE `region_id` = $id_siti ORDER BY `name`  LIMIT $start, $set[p_str]");
while ($count = mysql_fetch_array($q))
{
if($num==1){
echo "<div class='rowdown'>";
$num=0;
}else{
echo "<div class='rowup'>";
$num=1;}
echo "<a href='/mysiti.php?id=$id_siti&p=city&amp;st=$count[city_id]&amp;set'>$count[name]</a>\n";
echo "  </div>\n";
}
if ($k_page>1)str("?id=$id_siti&",$k_page,$page); // Вывод страниц
}
include_once 'sys/inc/tfoot.php';
?>
